### Property

# FwupdPlugin Context:lid-state

since: 1.7.4

#### Declaration

    property lid-state: guint [ read, write ]

#### Description [src]

The system lid state.

Type: | `guint`
Available since: | 1.7.4

Default value | 0
Getter method | `fu_context_get_lid_state()`
Setter method | `fu_context_set_lid_state()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no